setpref(TYPE_STRING,"kmeleon.plugins.luamacros.path",BROWSERPATH.."lua\\")

if (getpref(TYPE_BOOL,"kmeleon.first.start")==true) then
	setpref(TYPE_STRING,"browser.startup.homepage",BROWSERPATH.."speeddial\\speeddial.htm")
	setpref(TYPE_STRING,"cyberarticle.path.position",BROWSERPATH)
	setpref(TYPE_BOOL,"kmeleon.first.start",false)
end

require "hook"
require "autoload"
require "onLoad"
require "prefs"
require "dialog"
require "setmenu"
require "CCFDialog"
require "CCFPropertySheet"  
require "objurl"
require "fittowidth"
require "adblockplus"


function Eval()
	local a, b
	a = prompt("lua", "k-meleon", "")
	if a then
		b = loadstring(a)
		if b then
			alert(b(), "lua", ICON_INFO)
		end
	end
end